// Fog

textures/ut_stumbleinn2/fog_pgrounds
{
	qer_editorimage textures/ut_stumbleinn2/fog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture

	fogparms ( .250 .250 .250 ) 384

	{
		map textures/ut_stumbleinn2/fogcloud1.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/ut_stumbleinn2/fogcloud2.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/ut_stumbleinn2/endymoon
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .3 .3 .5 70 200 45
	q3map_surfacelight 50
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/endymoon 256 -
}

models/mapobjects/exkr/vaso
{
	cull none
	nopicmip

	{
		map models/mapobjects/exkr/vaso.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/exkr/capucha_luz
{
	cull none
	nopicmip

	{
		map models/mapobjects/exkr/capucha_luz.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
//**********************************
//   		GLASS    
//**********************************
//      Make sure you have the 3 glass textures in baseq3/textures/glass/ or this will not work.
//	darkglass.tga, blueglass.tga, plainglass.tga
//	MISC Glass types
// 	Best way to make glass is to create a brush with the NODRAW texture on all sides, then to select the face you want to
//	have the glass on and apply it.  The glass is viewable from both sides of the brush. 


// 	Plain glass.

textures/ut_stumbleinn2/plainglass
{
	surfaceparm nolightmap
	cull twosided
	{
		map textures/ut_stumbleinn2/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/

textures/ut_stumbleinn2/metal_bright
{

	{
		map textures/ut_stumbleinn2/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/ut_stumbleinn2/metal_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/urban_terror4/nrg_ladder_wood
{
        qer_editorimage textures/urban_terror4/nrg_ladder_wood.tga
    	surfaceparm trans
	cull none
        nopicmip
	nonsolid
	{
		map textures/urban_terror4/nrg_ladder_wood.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Ripped and altered from ut_paradise by eXKalibuR (exkalibur2@latinmail.com)
textures/ut_stumbleinn2/planta5
{
        qer_editorimage textures/ut_stumbleinn2/planta5.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut_stumbleinn2/planta5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Ripped and altered from ut_paradise by eXKalibuR (exkalibur2@latinmail.com)
textures/ut_stumbleinn2/planta1
{
        qer_editorimage textures/ut_stumbleinn2/planta1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut_stumbleinn2/planta1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut_stumbleinn2/plant_bush01
{
        qer_editorimage textures/ut_stumbleinn2/w2k_bush1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut_stumbleinn2/w2k_bush1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Gold Light Corona (from revolution)
textures/ut_stumbleinn2/flare001
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_stumbleinn2/flare001.jpg
            blendFunc GL_ONE GL_ONE
          }
}
//Red Light Corona
textures/ut_stumbleinn2/flare003
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_stumbleinn2/flare003.jpg
            blendFunc GL_ONE GL_ONE
          }
}
